function! GetFoldExprFromIndent()
 " Calcule l'indentation en fonction des tabulations
 " et espaces au début des lignes
	let line = getline(v:lnum)
	let tabs = strlen(matchstr(line,"^\t*"))
	let spaces = strlen(matchstr(line,"^[ \t]*")) - tabs
	return tabs + ((spaces + 3) / 4)
 endfunction
hi FoldColumn ctermfg=black ctermbg=none cterm=bold
hi Folded ctermfg=black ctermbg=none cterm=bold
hi LineNr ctermfg=black ctermbg=none cterm=bold
hi Pmenu  cterm=none ctermfg=white ctermbg=blue guibg=blue
hi PmenuSel cterm=bold ctermfg=white ctermbg=red guibg=red
hi Search ctermbg=yellow
hi SpecialKey ctermfg=black cterm=bold
hi StatusLine term=bold,reverse ctermfg=grey ctermbg=blue cterm=none
hi StatusLineNC term=reverse ctermfg=blue ctermbg=none cterm=underline
hi Visual guibg=yellow
nmap <silent> * :set hls<CR>:let @/="\\<<C-r><C-w>\\>"<CR>/<BS>
nmap <silent> µ :set hls<CR>:let @/="<C-r><C-w>"<CR>/<BS>
nnoremap i <Up>
nnoremap k <Down>
nnoremap j <Left>
nnoremap l <Right>
xnoremap i <Up>
xnoremap k <Down>
xnoremap j <Left>
xnoremap l <Right>
nnoremap K J
nnoremap J <Home>w
nnoremap L <End>
set autochdir
set cmdheight=1
set completeopt=longest,menu
"set directory=~/var/cache/vim/swap
set directory=~/.vim/swap
set encoding=utf-8
set foldcolumn=0
set foldenable
set foldexpr=GetFoldExprFromIndent()
set foldmethod=expr
set foldminlines=0
set history=2048
set hlsearch
set incsearch
set laststatus=2
set lazyredraw
set list
set path=.,/usr/include,/usr/local/include,,
set scroll=0
set scrolloff=0
set sidescroll=0
set sidescrolloff=0
set swapfile
set matchpairs+=<:>
set maxmempattern=2000
set nocompatible
set noerrorbells
set noignorecase
set loadplugins
set nowrap
set nowrapscan
set number
set ruler
set runtimepath=~/.vim,$VIMRUNTIME,$VIM
set sessionoptions=curdir,folds
set shiftwidth=2
set showcmd
set smartindent
set statusline=%F%=\ %m%R\ %l:%c\ x%02B\ %Y\ %{&encoding}
set tabstop=2
set ttyfast
set undolevels=512
set updatetime=4096
set verbose=0
"set viewdir=~/var/lib/vim/view
"set viminfo+=n~/var/cache/vim/info
set novisualbell
set visualbell t_vb=
set whichwrap+=<,>,[,]
set wildignore=*.a,*.d,*.o,*.so,*~,*.cmo,*.cmi,*.cmx,*.cmxs,*.cma,*.cmxa,*.byte,*.native,*.hi,*.ho
set wildmenu
set wildmode=longest,list,full
syntax on
if (&term == "linux")
	set foldtext=substitute(getline(v\:foldstart),'\\t','\|_','g').'\ \ ('.(v\:foldend-v\:foldstart+1).')\ '
	set fillchars=fold:_
	set list listchars=nbsp:+,tab:\|_,trail:_,extends:>,precedes:<
 else
	set foldtext=substitute(getline(v\:foldstart),'\\t','⎢·','g').'\ \ ('.(v\:foldend-v\:foldstart+1).')\ '
	set fillchars=fold:·
	set list listchars=nbsp:¬,tab:⎢·,trail:·,extends:>,precedes:<
 endif
if (v:version >= 700)
	hi TabLine term=bold,reverse ctermfg=white ctermbg=blue cterm=none
	hi TabLineFill term=bold,reverse ctermfg=none ctermbg=blue cterm=none
	hi TabLineSel term=reverse ctermfg=white ctermbg=none cterm=bold
	inoremap <C-S-tab> <Esc>:tabprevious<CR>i
	inoremap <C-t> <Esc>:tabnew<CR>
	inoremap <C-tab> <Esc>:tabnext<CR>i
	nnoremap <C-S-tab> :tabprevious<CR>
	nnoremap <Esc><tab> :tabprevious<CR>
	nnoremap <C-t> :tabnew<CR>
	nnoremap <tab> :tabnext<CR>
	nnoremap <C-tab> :tabprevious<CR>
	nnoremap td :tabclose<CR>
	nnoremap ti :tabfirst<CR>
	nnoremap tj :tabprev<CR>
	nnoremap tk :tablast<CR>
	nnoremap tl :tabnext<CR>
	nnoremap tm :tabm<Space>
	nnoremap tn :tabnew<Space>
	nnoremap tt :tabedit<Space>
	set tabpagemax=1000
	set sessionoptions+=tabpages
 endif
if (v:version >= 703)
	"set undodir=~/var/cache/vim/undo/
	set undodir=~/.vim/undo/
	set undofile
 endif
"""
""" plugins
"""
runtime macros/justify.vim
let b:match_words = '«:»,“:”'
runtime plugin/matchit.vim
let g:netrw_liststyle = 3
"let g:netrw_cursorline = 0
let s:netrw_usercul = 0
runtime plugin/netrwPlugin.vim
